%define url_ver %{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

%define api_ver		300
%define major		3

%define libname		%mklibname gedit-gtksourceview %{api_ver} %{major}
%define girname		%mklibname gedit-gtksourceview-gir %{api_ver}
%define devname		%mklibname gedit-gtksourceview %{api_ver} -d

Name:		libgedit-gtksourceview
Version:	299.4.0
Release:	%mkrel 2
Summary:	Gedit source code editing widget
Group:		Graphical desktop/GNOME
License:	LGPLv2+
URL:		https://gitlab.gnome.org/World/gedit/libgedit-gtksourceview
Source0:	https://download.gnome.org/sources/libgedit-gtksourceview/%{url_ver}/%{name}-%{version}.tar.xz
Source1:	https://download.gnome.org/sources/libgedit-gtksourceview/%{url_ver}/%{name}-%{version}.sha256sum
BuildRequires:	meson
BuildRequires:	gettext
BuildRequires:	gi-docgen
BuildRequires:	itstool
BuildRequires:	pkgconfig(fontconfig)
BuildRequires:	pkgconfig(fribidi)
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(gtk4)
BuildRequires:	pkgconfig(libpcre2-8)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(pangoft2)
BuildRequires:	pkgconfig(sysprof-capture-4)
BuildRequires:	pkgconfig(vapigen)
#
Requires:	glib2.0-common%{?_isa}

%description
libgedit-gtksourceview is a library that extends GtkTextView, the
standard GTK widget for multiline text editing. This library adds
support for syntax highlighting, undo/redo, file loading and saving,
search and replace, a completion system, printing, displaying line
numbers, and other features typical of a source code editor.

libgedit-gtksourceview is part of [Gedit Technology](https://gedit-technology.github.io/).

This package contains version %{api_ver} of libgedit-gtksourceview.

%package -n %{libname}
Summary:	Gedit source code editing widget library
Group:		System/Libraries
Requires:	%{name} >= %{version}-%{release}
Obsoletes:	%{_lib}libgedit-gtksourceview300_0 < 299.0.4-2

%description	-n %{libname}
libgedit-gtksourceview is a library that extends GtkTextView, the
standard GTK widget for multiline text editing. This library adds
support for syntax highlighting, undo/redo, file loading and saving,
search and replace, a completion system, printing, displaying line
numbers, and other features typical of a source code editor.

libgedit-gtksourceview is part of [Gedit Technology](https://gedit-technology.github.io/).

%package	-n %{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}
Obsoletes:	%{_lib}libgedit-gtksourceview-gir300 < 299.0.4-2

%description	-n %{girname}
GObject Introspection interface description for %{name}.

%package	-n %{devname}
Summary:	Development files for %{name}
Group:		Development/GNOME and GTK+
Requires:	%{libname} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	gedit-gtksourceview-devel = %{version}-%{release}
Obsoletes:	%{_lib}libgedit-gtksourceview300-devel < 299.0.4-2

%description	-n %{devname}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install

%find_lang libgedit-gtksourceview-%{api_ver}

%files -f libgedit-gtksourceview-%{api_ver}.lang
%license COPYING
%doc HACKING NEWS README.md
%{_datadir}/libgedit-gtksourceview-%{api_ver}/

%files -n %{girname}
%license COPYING
%{_libdir}/girepository-1.0/GtkSource-%{api_ver}.typelib

%files -n %{libname}
%license COPYING
%doc HACKING NEWS README.md
%{_libdir}/libgedit-gtksourceview-%{api_ver}.so.%{major}{,.*}

%files -n %{devname}
%{_docdir}/libgedit-gtksourceview
%{_datadir}/gtk-doc/html/libgedit-gtksourceview-%{api_ver}/
%{_includedir}/libgedit-gtksourceview-%{api_ver}/
%{_libdir}/pkgconfig/*.pc
%{_libdir}/libgedit-gtksourceview-%{api_ver}.so
%{_datadir}/gir-1.0/GtkSource-%{api_ver}.gir


%changelog
* Sun Mar 16 2025 wally <wally> 299.4.0-2.mga10
+ Revision: 2164893
- rebuild for libxml2 2.13.6

* Sun Dec 29 2024 daviddavid <daviddavid> 299.4.0-1.mga10
+ Revision: 2131183
- new version 299.4.0
- now libmajor is 3
+ danf <danf>
- Switch URL to https

* Wed Sep 18 2024 daviddavid <daviddavid> 299.3.0-1.mga10
+ Revision: 2098047
- new version 299.3.0

* Mon Jun 10 2024 daviddavid <daviddavid> 299.2.1-1.mga10
+ Revision: 2072480
- new version 299.2.1

* Sun Mar 17 2024 daviddavid <daviddavid> 299.1.0-1.mga10
+ Revision: 2050214
- new version 299.1.0

* Wed Feb 07 2024 daviddavid <daviddavid> 299.0.5-1.mga10
+ Revision: 2038414
- new version 299.0.5

* Sat Sep 02 2023 daviddavid <daviddavid> 299.0.4-2.mga10
+ Revision: 1983536
- fix lib, gir and devel pkg name

* Thu Aug 31 2023 daviddavid <daviddavid> 299.0.4-1.mga10
+ Revision: 1982312
- new version: 299.0.4

* Sat May 13 2023 ghibo <ghibo> 299.0.1-1.mga9
+ Revision: 1956810
- Fix summary
- imported package libgedit-gtksourceview


* Sat May 13 2023 ghibo <ghibo> 299.0.1-1.mga9
- initial release.
